POST /rest/employees/{employee}/overtime_payouts
curl --request POST \
--url https://{tenant}.stamp.eu/rest/employees/{employee}/overtime_payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year_month": "<string>",
"hours": 500.005,
"comment": "<string>"
}
'import requests
url = "https://{tenant}.stamp.eu/rest/employees/{employee}/overtime_payouts"
payload = {
"year_month": "<string>",
"hours": 500.005,
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({year_month: '<string>', hours: 500.005, comment: '<string>'})
};
fetch('https://{tenant}.stamp.eu/rest/employees/{employee}/overtime_payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"employee_id": "<string>",
"year_month": "<string>",
"amount": "<string>",
"hours": 123,
"comment": "<string>",
"created_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Urlaubsanspruch & Zeitkonto
Überstunden auszahlen
POST
/
employees
/
{employee}
/
overtime_payouts
POST /rest/employees/{employee}/overtime_payouts
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The employee ID
Body
application/json
Response
Show child attributes
Show child attributes
⌘I